if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libgeda.so )
( cd usr/lib64 ; ln -sf libgeda.so.47.0.0 libgeda.so )
( cd usr/lib64 ; rm -rf libgeda.so.47 )
( cd usr/lib64 ; ln -sf libgeda.so.47.0.0 libgeda.so.47 )
( cd usr/lib64 ; rm -rf libgedacairo.so )
( cd usr/lib64 ; ln -sf libgedacairo.so.1.0.3 libgedacairo.so )
( cd usr/lib64 ; rm -rf libgedacairo.so.1 )
( cd usr/lib64 ; ln -sf libgedacairo.so.1.0.3 libgedacairo.so.1 )
( cd usr/lib64 ; rm -rf libxornstorage.so )
( cd usr/lib64 ; ln -sf libxornstorage.so.0.0.0 libxornstorage.so )
( cd usr/lib64 ; rm -rf libxornstorage.so.0 )
( cd usr/lib64 ; ln -sf libxornstorage.so.0.0.0 libxornstorage.so.0 )
